from i3pystatus import Status
import sensors

status = Status()

status.register("pulseaudio",
    format="♪I {volume}%",
    format_muted="♪I -∞dB",
    step="2",
    sink="alsa_output.pci-0000_00_1f.3.analog-stereo")
status.register("pulseaudio",
    format="♪D {volume}%",
    format_muted="♪D -∞dB",
    step="2",
    sink="@DEFAULT_SINK@")

status.register("backlight",
    format="{percentage}%",
    backlight="intel_backlight",
    on_leftclick="xbacklight =10",
    on_rightclick="xbacklight =50",
    interval=1)

status.register("shell",
    format="L: {output}",
    command="/home/kunsi/.config/i3pystatus/screensaver-status.sh",
    interval=1,
    on_leftclick="xset s 90 10",
    on_rightclick="xset s off")

status.register("clock",
    format="%a, %Y-%m-%d %H:%M:%S UTC",)

status.register("battery",
    battery_ident="BAT0",
    format="B0: {status}{percentage:.2f}% {remaining:%E%h:%M}",
    alert=True,
    alert_percentage=5,
    status={
        "DIS": "↓",
        "CHR": "↑",
        "FULL": "",
    })
status.register("battery",
    battery_ident="BAT1",
    format="B1: {status}{percentage:.2f}% {remaining:%E%h:%M}",
    alert=True,
    alert_percentage=5,
    status={
        "DIS": "↓",
        "CHR": "↑",
        "FULL": "",
    })

status.register("load",
    format="{avg1}")

status.register("temp",
    format="{temp:.0f}°C",
    hints={"markup": "pango"},
#    lm_sensors_enable=True,
    dynamic_color=True)

status.register("shell",
    format="{output}",
    hints = {"markup": "pango"},
    command="/home/kunsi/.config/i3pystatus/rfkill-wifi.py",
    interval=1)
status.register("shell",
    format="{output}",
    hints = {"markup": "pango"},
    command="/home/kunsi/.config/i3pystatus/rfkill-bt.py",
    interval=1)
status.register("shell",
    format="{output}",
    hints = {"markup": "pango"},
    command="/home/kunsi/.config/i3pystatus/touchscreen.sh",
    interval=1,
    on_leftclick="xinput enable 'ELAN Touchscreen'",
    on_rightclick="xinput disable 'ELAN Touchscreen'")

status.register("network",
    interface="wlp4s0",
    format_up="{interface}:[ {essid} ({freq:01.3f}GHz – {quality}%)][ {v6cidr}][ {v4cidr}]",
    format_down="{interface}: down",
    detect_active=True,
    freq_divisor=1000000000,
    divisor=1024,
    hints={"markup":"pango"})

status.register("disk",
    path="/home",
    format="{used}/{total}G",)

status.run()
